<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive.
 *
 * Override this template by copying it to yourtheme/woocommerce/archive-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version      3.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
$options = _WSH()->option();
$meta = _WSH()->get_meta('_bunch_layout_settings', get_option( 'woocommerce_shop_page_id' ));
$meta1 = _WSH()->get_meta('_bunch_header_settings', get_option( 'woocommerce_shop_page_id' ));

$layout = cardiff_set( $meta, 'layout');
$layout = cardiff_set( $_GET, 'layout' ) ? $_GET['layout'] : $layout; 
if(cardiff_set($_GET, 'layout_style')) $layout = cardiff_set($_GET, 'layout_style'); else

$layout = cardiff_set( $meta, 'layout');
$sidebar = cardiff_set( $meta, 'sidebar');

$layout = ($layout) ? $layout : cardiff_set($options, 'woo_cat_page_layout');
$sidebar = ($sidebar) ? $sidebar : cardiff_set($options, 'woocommerce_cat_page_sidebar');
 
$classes = ( !$layout || $layout == 'full' || cardiff_set($_GET, 'layout_style')=='full' ) ? 'col-lg-12 col-md-12 col-sm-12 col-xs-12' : 'col-lg-8 col-md-8 col-sm-12 col-xs-12';
  
$title = cardiff_set($meta1, 'header_title');

$title = ($title) ? $title : cardiff_set($options, 'woocommerce_page_header_title');
$meta2 = _WSH()->get_meta('_bunch_header_settings');
$bg = cardiff_set($meta2, 'header_img');
get_header( 'shop' ); ?>

<?php if($bg):?>
 <section class="main-banner-section style-five parallax-container" style="background-image:url('<?php echo esc_attr($bg)?>');" >
 <?php else :?>
 <section class="main-banner-section style-five parallax-container" style="background-image:url(<?php echo esc_url(get_template_directory_uri().'/images/background/1.jpg');?>)">
 <?php endif;?>
        <div class="auto-container">
            <div class="icon-one"></div>
            <div class="icon-thirteen image3"></div>
            <div class="icon-fourteen zoom-fade"></div>
            <div class="icon-fifteen rotate-me"></div>
            <div class="icon-sixteen zoom-fade"></div>
            <div class="icon-seventeen zoom-fade"></div>
            <div class="icon-eighteen rotate-me"></div>
            <div class="icon-ninteen"></div>
            <div class="icon-twenty"></div>
            <div class="inner-container">
                <div class="sec-title centered">
                    <div class="title tyu"> <?php echo wp_kses_post(cardiff_get_the_breadcrumb()); ?></div>
                    <h2><?php if($title) echo wp_kses_post($title); else wp_title(''); ?></h2>
                </div>
            </div>
        </div>
    </section>
<div class="sidebar-page-container no-padd-top">
    <div class="auto-container">
        <div class="row clearfix">
			
			<!-- sidebar area -->
			<?php if( $layout == 'left' ): ?>
			<?php if ( is_active_sidebar( $sidebar ) ) { ?>
			<div class="shop_sidebar sidebar-side col-lg-4 col-md-4 col-sm-12 col-xs-12">        
				<aside class="sidebar default-sidebar">
					<?php dynamic_sidebar( $sidebar ); ?>
                    <?php
						/**
						 * woocommerce_sidebar hook
						 *
						 * @hooked woocommerce_get_sidebar - 10
						 */
						do_action( 'woocommerce_sidebar' );
					?>
				</aside>
            </div>
			<?php } ?>
			<?php endif; ?>

			<!-- sidebar area -->
			
			<div class="<?php echo esc_attr($classes);?>">
            	<div class="shop-section">
				<?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>
                	<div class="items-sorting">
                        <div class="row clearfix">
                            <div class="results-column col-md-6 col-sm-6 col-xs-12">
                                <h4> <?php woocommerce_result_count();?></h4>
                            </div>
                            <div class="select-column pull-right col-md-4 col-sm-4 col-xs-12">
                                <div class="form-group">
                                    <?php
                                        /**
                                         * woocommerce_before_shop_loop hook
                                         *
                                         * @hooked woocommerce_result_count - 20
                                         * @hooked woocommerce_catalog_ordering - 30
                                         */
                                        do_action( 'woocommerce_before_shop_loop' );
                                    ?>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endif;?>
				<?php
                    /**
                     * woocommerce_before_main_content hook
                     *
                     * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
                     * @hooked woocommerce_breadcrumb - 20
                     */
                    do_action( 'woocommerce_before_main_content' );
                ?>
                
                <?php
                    /**
                     * woocommerce_archive_description hook
                     *
                     * @hooked woocommerce_taxonomy_archive_description - 10
                     * @hooked woocommerce_product_archive_description - 10
                     */
                    do_action( 'woocommerce_archive_description' );
                ?>

				<?php if ( have_posts() ) : ?>
        
                    <?php woocommerce_product_loop_start(); ?>
        
                        <?php woocommerce_product_subcategories(); ?>
                    
                            <div class="our-shops">
                                    
                                <?php while ( have_posts() ) : the_post(); ?>

                                    <?php wc_get_template_part( 'content', 'product' ); ?>

                                <?php endwhile; // end of the loop. ?>
                                    
                            </div>
        
                    <?php woocommerce_product_loop_end(); ?>
        
                    <?php
                        /**
                         * woocommerce_after_shop_loop hook
                         *
                         * @hooked woocommerce_pagination - 10
                         */
                        do_action( 'woocommerce_after_shop_loop' );
                    ?>
        
                <?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>
        
                    <?php wc_get_template( 'loop/no-products-found.php' ); ?>
        
                <?php endif; ?>

				<?php
                    /**
                     * woocommerce_after_main_content hook
                     *
                     * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
                     */
                    do_action( 'woocommerce_after_main_content' );
                ?>
	
				</div>
            </div>

            <!-- sidebar area -->
            <?php if( $layout == 'right' ): ?>
            <?php if ( is_active_sidebar( $sidebar ) ) { ?>
            <div class="shop_sidebar  sidebar-side col-lg-4 col-md-4 col-sm-12 col-xs-12">        
				<aside class="sidebar default-sidebar">
                    <?php dynamic_sidebar( $sidebar ); ?>
                    <?php
                        /**
                         * woocommerce_sidebar hook
                         *
                         * @hooked woocommerce_get_sidebar - 10
                         */
                        do_action( 'woocommerce_sidebar' );
                    ?>
                </aside>
            </div>
            <?php } ?>
            <?php endif; ?>
    <!--Sidebar-->
    
		</div>
	</div>
</div>
<?php get_footer( 'shop' ); ?>