<?php
/**
 * The Template for displaying all single products.
 *
 * Override this template by copying it to yourtheme/woocommerce/single-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     4.7.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
$options = _WSH()->option();
$meta = _WSH()->get_meta('_bunch_layout_settings');
$meta1 = _WSH()->get_meta('_bunch_header_settings');

$layout = cardiff_set( $meta, 'layout');
$sidebar = cardiff_set( $meta, 'sidebar');

$layout = ($layout) ? $layout : cardiff_set($options, 'woocommerce_single_page_layout');
$sidebar = ($sidebar) ? $sidebar : cardiff_set($options, 'woocommerce_single_page_sidebar');

$classes = ( !$layout || $layout == 'full' || cardiff_set($_GET, 'layout_style')=='full' ) ? 'col-lg-12 col-md-12 col-sm-12 col-xs-12' : 'col-lg-8 col-md-8 col-sm-12 col-xs-12';

$title = cardiff_set($meta1, 'header_title');

$title = ($title) ? $title : cardiff_set($options, 'woocommerce_page_header_title');
$meta2 = _WSH()->get_meta('_bunch_header_settings');
$bg = cardiff_set($meta2, 'header_img');
get_header( 'shop' ); ?>

<?php if($bg):?>
 <section class="main-banner-section style-five parallax-container" style="background-image:url('<?php echo esc_attr($bg)?>');" >
 <?php else :?>
 <section class="main-banner-section style-five parallax-container" style="background-image:url(<?php echo esc_url(get_template_directory_uri().'/images/background/1.jpg');?>)">
 <?php endif;?>
        <div class="auto-container">
            <div class="icon-one"></div>
            <div class="icon-thirteen image3"></div>
            <div class="icon-fourteen zoom-fade"></div>
            <div class="icon-fifteen rotate-me"></div>
            <div class="icon-sixteen zoom-fade"></div>
            <div class="icon-seventeen zoom-fade"></div>
            <div class="icon-eighteen rotate-me"></div>
            <div class="icon-ninteen"></div>
            <div class="icon-twenty"></div>
            <div class="inner-container">
                <div class="sec-title centered">
                    <div class="title tyu"> <?php echo wp_kses_post(cardiff_get_the_breadcrumb()); ?></div>
                    <h2><?php if($title) echo wp_kses_post($title); else wp_title(''); ?></h2>
                </div>
            </div>
        </div>
    </section>

<div class="shop-single shop-page">
    <div class="auto-container">
        <div class="shop-page product-details">
            <div class="basic-details">
        
    	        <div class="row clearfix">
			
            <!-- sidebar area -->
			<?php if( $layout == 'left' ): ?>
			<?php if ( is_active_sidebar( $sidebar ) ) { ?>
			<div class="shop_sidebar  sidebar-side col-lg-4 col-md-4 col-sm-12 col-xs-12">        
                <aside class="sidebar default-sidebar">
					<?php dynamic_sidebar( $sidebar ); ?>
                    <?php
							/**
							 * woocommerce_sidebar hook
							 *
							 * @hooked woocommerce_get_sidebar - 10
							 */
							do_action( 'woocommerce_sidebar' );
						?>
				</aside>
            </div>
			<?php } ?>
			<?php endif; ?>
			
            <section class="<?php echo esc_attr($classes);?>">
            <?php
                /**
                 * woocommerce_before_main_content hook
                 *
                 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
                 * @hooked woocommerce_breadcrumb - 20
                 */
                do_action( 'woocommerce_before_main_content' );
            ?>
                <?php while ( have_posts() ) : the_post(); ?>
                    <?php wc_get_template_part( 'content', 'single-product' ); ?>
                <?php endwhile; // end of the loop. ?>
            <?php
                /**
                 * woocommerce_after_main_content hook
                 *
                 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
                 */
                do_action( 'woocommerce_after_main_content' );
            ?>
            
            </section>
		
        	<!-- sidebar area -->
			<?php if( $layout == 'right' ): ?>
			<?php if ( is_active_sidebar( $sidebar ) ) { ?>
			<div class="shop_sidebar  sidebar-side col-lg-4 col-md-4 col-sm-12 col-xs-12">        
                <aside class="sidebar default-sidebar">
					<?php dynamic_sidebar( $sidebar ); ?>
                    <?php
						/**
						 * woocommerce_sidebar hook
						 *
						 * @hooked woocommerce_get_sidebar - 10
						 */
						do_action( 'woocommerce_sidebar' );
					?>
				</aside>
            </div>
			<?php } ?>
			<?php endif; ?>
		</div>
        
            </div>
        </div>
	</div>
</div>
<?php get_footer( 'shop' ); ?>